Java2DRendererConfigurator (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.java2d

## Class Java2DRendererConfigurator

- java.lang.Object
- - org.apache.fop.render.AbstractRendererConfigurator
  - - org.apache.fop.render.PrintRendererConfigurator
    - - org.apache.fop.render.DefaultRendererConfigurator
      - - org.apache.fop.render.java2d.Java2DRendererConfigurator

- All Implemented Interfaces:
    IFDocumentHandlerConfigurator
  Direct Known Subclasses:
    BitmapRendererConfigurator

      public class Java2DRendererConfigurator
      extends DefaultRendererConfigurator

  Configurerer for Java 2D renderer

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.render.AbstractRendererConfigurator

      `userAgent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java2DRendererConfigurator(FOUserAgent userAgent, RendererConfig.RendererConfigParser rendererConfigParser)` Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Renderer renderer)` Configure the Java 2D renderer.

    - ### Methods inherited from class org.apache.fop.render.DefaultRendererConfigurator

      `getDefaultFontCollection`

    - ### Methods inherited from class org.apache.fop.render.PrintRendererConfigurator

      `configure, createCollectionFromFontList, createDefaultInstance, getCustomFontCollection, getRendererConfig, getRendererConfig, getRendererConfig, setupFontInfo`

    - ### Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Java2DRendererConfigurator

          public Java2DRendererConfigurator(FOUserAgent userAgent,
                                            RendererConfig.RendererConfigParser rendererConfigParser)

      Default constructor
      Parameters:
        `userAgent` - user agent

  - ### Method Detail

    - #### configure

          public void configure(Renderer renderer)
                         throws FOPException

      Configure the Java 2D renderer.
      Overrides:
        `configure` in class `PrintRendererConfigurator`
      Parameters:
        `renderer` - java 2d renderer
      Throws:
        `FOPException` - fop exception

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.